Package org.apache.datasketches.sampling

# Class SampleSubsetSummary

java.lang.Object
org.apache.datasketches.sampling.SampleSubsetSummary

public class SampleSubsetSummary extends Object
A simple object o capture the results of a subset sum query on a sampling sketch.

Author:
  Jon Malkin

## Method Summary

Modifier and Type
Method
Description
`double`
`getEstimate()`
Returns the unique count estimate
`double`
`getLowerBound()`
Returns the lower bound
`double`
`getTotalSketchWeight()`
Returns the total sketch weight
`double`
`getUpperBound()`
Returns the upper bound

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLowerBound

public double getLowerBound()
Returns the lower bound

Returns:
  the lower bound

### getTotalSketchWeight

public double getTotalSketchWeight()
Returns the total sketch weight

Returns:
  the total sketch weight

### getUpperBound

public double getUpperBound()
Returns the upper bound

Returns:
  the upper bound

### getEstimate

public double getEstimate()
Returns the unique count estimate

Returns:
  the unique count estimate